/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.Interceptor;

import com.ifish.enums.ResultEnum;

/**
 *
 * @author Administrator
 */
public class IfishException extends RuntimeException {

    private static final long serialVersionUID = 4182058914725642218L;

    private String result;

    public IfishException(ResultEnum resultEnum) {
        super(resultEnum.getValue());
        this.result = resultEnum.getKey();
    }

    public String getResult() {
        return result;
    }
}
